## textrender textrender — Renders a text string to an image bitmap |

## Synopsis

                        GstTextRender;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstTextRender

## Properties

      "font-desc"                gchararray            : Write

## Description

This plugin renders text received on the text sink pad to a video buffer (retaining the alpha channel), so it can later be overlayed on top of video streams using other elements.

The text can contain newline characters. (FIXME: What about text wrapping? It does not make sense in this context)

Example pipeline:

    gst-launch -v filesrc location=subtitles.srt ! subparse ! textrender ! xvimagesink

### Element Information

plugin | pango
author | David Schleef <ds@schleef.org>, Ronald S. Bultje <rbultje@ronald.bitfreak.net>
class | Filter/Editor/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc)AYUV, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | sink
direction | sink
presence | always
details | text/x-pango-markup; text/plain

## Details

### GstTextRender

    typedef struct _GstTextRender GstTextRender;

Opaque textrender data structure.

## Property Details

### The "`font-desc`" property

      "font-desc"                gchararray            : Write

Pango font description of font to be used for rendering. See documentation of pango_font_description_from_string for syntax.

Default value: ""

## See Also

GstTextOverlay